Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 220565

Summary: media-libs/tunepimp-0.5.3-r1 compilation fails with libtool 2.2.4
Product: Gentoo Linux Reporter: Frédéric COIFFIER <fcoiffie>
Component: New packagesAssignee: Gentoo KDE team <kde>
Status: RESOLVED FIXED    
Severity: normal CC: kevin.bowling, leonidp.lists, louis, m.debruijne, mike, prince.of.bb+gentoobugzilla, teidakankan, veit
Priority: High    
Version: 2007.0   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 212763    
Attachments: updated ebuild with eautoconf change
Updated Ebuild with Patch
patch for libtool 2.*
new configure patch
plugin patch
gcc43 patch
new ebuild fixing a few problems
Updated Ebuild

Description Frédéric COIFFIER 2008-05-06 11:36:41 UTC
The compilation of media-libs/tunepimp-0.5.3-r1 faild with the following error :

make[3]: entrant dans le répertoire « /var/tmp/portage/media-libs/tunepimp-0.5.3-r1/work/libtunepimp-0.5.3/libltdl »
cd . && /bin/sh ./config.status config.h
config.status: creating config.h
config.status: config.h is unchanged
/bin/sh ./libtool --tag=CC   --mode=compile i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I.     -march=prescott -O2 -pipe -fomit-frame-pointer -c -o ltdl.lo ltdl.c
./libtool: line 463: CDPATH: command not found
./libtool: line 1155: func_opt_split: command not found
libtool: Version mismatch error.  This is libtool 2.2.4, but the
libtool: definition of this LT_INIT comes from an older release.
libtool: You should recreate aclocal.m4 with macros from libtool 2.2.4
libtool: and run autoconf again.
make[3]: *** [ltdl.lo] Erreur 63
make[3]: quittant le répertoire « /var/tmp/portage/media-libs/tunepimp-0.5.3-r1/work/libtunepimp-0.5.3/libltdl »
make[2]: *** [all] Erreur 2
make[2]: quittant le répertoire « /var/tmp/portage/media-libs/tunepimp-0.5.3-r1/work/libtunepimp-0.5.3/libltdl »
make[1]: *** [all-recursive] Erreur 1
make[1]: quittant le répertoire « /var/tmp/portage/media-libs/tunepimp-0.5.3-r1/work/libtunepimp-0.5.3 »
make: *** [all] Erreur 2
Comment 1 Rafał Mużyło 2008-05-07 07:37:26 UTC
It looks like doing eautoreconf in ${S}/libltdl should fix it.
Comment 2 Mike Weissman 2008-05-12 22:05:22 UTC
Tested 'eautoreconf in ${S}/libltdl' on x86, worked fine. including and updated ebuild.  
Comment 3 Mike Weissman 2008-05-12 22:05:58 UTC
Created attachment 152983 [details]
updated ebuild with eautoconf change
Comment 4 Veit Nachtmann 2008-05-13 00:24:00 UTC
bug not resolved for:
Portage 2.1.5_rc10 (default/linux/amd64/2008.0, gcc-4.3.0, glibc-2.7-r2, 2.6.26-rc1-zen-zen0 x86_64)

same output.
Comment 5 Veit Nachtmann 2008-05-13 00:24:48 UTC
(using the updates ebuild, of course; sry forgot to mention)
Comment 6 Mike Weissman 2008-05-13 00:38:22 UTC
Can you post your emerge --info
Comment 7 Veit Nachtmann 2008-05-13 09:12:19 UTC
this is a really fresh install.

I have the same issue (CDPATH: command not found
libtool: Version mismatch error.)
with dev-python/pygobject-2.14.1... so maybe its unrelated :(

emerge --info
Portage 2.1.5_rc10 (default/linux/amd64/2008.0, gcc-4.3.0, glibc-2.7-r2, 2.6.26-rc1-zen-zen0 x86_64)
=================================================================
System uname: 2.6.26-rc1-zen-zen0 x86_64 Intel(R) Core(TM)2 Duo CPU T7300 @ 2.00GHz
Timestamp of tree: Mon, 12 May 2008 23:35:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.4.4-r6, 2.5.2-r2
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.3
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.62
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.25-r2
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=core2 -pipe -minline-stringops-dynamically -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=core2 -pipe -minline-stringops-dynamically -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.bytemark.co.uk/gentoo/ http://mirror.muntinternet.net/pub/gentoo/ http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/"
LDFLAGS="-Wl,--as-needed -Wl,-O1"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="64bit acl acpi alsa amd64 berkdb bluetooth bzip2 cisco cli cracklib crypt cups dbus disk-partition dri flac fortran gdbm gif glib glibc-omitfp gnome gpm gstreamer gtk hal htmlhandbook iconv ipv6 ipw4965 isdnlog java jingle jpeg kde kdeenablefinal kdehiddenvisibility laptop lm_sensors messenger midi mmx mp3 mp4 mudflap multilib musicbrainz ncurses networkmanager nls nptl nptlonly opengl openmp openvpn oscar pam pcre pdf perl png pppd pptp python qt-copy qt3support qt4 readline reflection session spl sqlite sqlite3 sse sse2 ssl taglib tcpd tiff tls unicode usb userlocales vorbis xcomposite xine xorg xvid zeroconf zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse vmmouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="vmware nv nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 8 Mike Weissman 2008-05-13 15:25:06 UTC
When i add CFLAGS "-minline-stringops-dynamically" and LDFLAGS="-Wl,--as-needed -Wl,-O1" with gcc-4.2.3 on x86 i get the same error. Removing those flags, results in successful build.  Maybe the cache hierarchy hints in your CFLAG are causing some issues.  

Veit, can you try build with gcc-4.2.3?

Also can you confirm you have all the latest patches for gcc-4.3.0? SEE:
http://forums.gentoo.org/viewtopic-p-4934945.html?sid=ccbad5f0229efd14484899c5820b96d8

-Mike
Comment 9 Veit Nachtmann 2008-05-13 20:41:38 UTC
I already tried that, disabling LDflags, and using "march=native -O1" as only CFlags....
without success...
Comment 10 Rafał Mużyło 2008-05-17 11:08:32 UTC
OK, I found a real solution, but you may not like it, cause it will be a conditionally applied patch in case of libtool 2.*.
Look at bugs 221879 and 220765.
It's the same problem as here.
The patch for configure.in will have to:
change
AC_LIBLTDL_CONVENIENCE
to
AC_WITH_LTDL
so eautoreconf will know to update libltdl
and remove
AC_CONFIG_SUBDIRS(libltdl)
so aclocal doesn't fail.
Comment 11 Rafał Mużyło 2008-05-17 11:09:26 UTC
No other changes should be necessary.
Comment 12 Rafał Mużyło 2008-05-17 11:12:36 UTC
Forgot to prefix the bugs,
 just for convenience #221879 and #220765.
Comment 13 Veit Nachtmann 2008-05-17 12:09:13 UTC
uhm... for a lack of time on my side... someone make a patch&updated ebuild out of this please
Comment 14 Mike Weissman 2008-05-17 15:00:38 UTC
Great find Rafal! Those bugs are pretty much the same situation give or take a few things.  Working on a conditional patch based on your recommendations as well as testing for x86 and amd64.

-Mike 
Comment 15 Mike Weissman 2008-05-19 15:21:40 UTC
Attaching new ebuild and patch, that tested in worked fine in x86. 

Please test and let me know.  

Also while reading some of the libtoolpimp documentation it looks like there are some missing USE flags, i am testing that a bit more before i agree with the note in the ebuild. 


 
Comment 16 Mike Weissman 2008-05-19 15:22:09 UTC
Created attachment 153671 [details]
Updated Ebuild with Patch
Comment 17 Mike Weissman 2008-05-19 15:22:42 UTC
Created attachment 153673 [details, diff]
patch for libtool 2.*
Comment 18 Samuli Suominen gentoo-dev 2008-06-12 21:33:40 UTC
(In reply to comment #15)
> Please test and let me know.  

plugins.cpp: In member function ‘int Plugins::load(const char*, bool)’:
plugins.cpp:106: error: ‘lt_dlhandle_struct’ was not declared in this scope
plugins.cpp:106: error: expected primary-expression before ‘*’ token
plugins.cpp:106: error: expected primary-expression before ‘)’ token
plugins.cpp:106: error: expected primary-expression before ‘void’
plugins.cpp:106: error: expected `;' before ‘lt_dlsym’
plugins.cpp:111: error: expected primary-expression before ‘)’ token
plugins.cpp:119: error: expected primary-expression before ‘)’ token
plugins.cpp:153: error: expected primary-expression before ‘)’ token
plugins.cpp: In member function ‘void Plugins::unload()’:
plugins.cpp:176: error: ‘lt_dlhandle_struct’ was not declared in this scope
plugins.cpp:176: error: expected primary-expression before ‘)’ token
Comment 19 Kevin Bowling 2008-06-13 09:22:03 UTC
(In reply to comment #18)
> (In reply to comment #15)
> > Please test and let me know.  
> 
> plugins.cpp: In member function ‘int Plugins::load(const char*, bool)’:
> plugins.cpp:106: error: ‘lt_dlhandle_struct’ was not declared in this scope
> plugins.cpp:106: error: expected primary-expression before ‘*’ token
> plugins.cpp:106: error: expected primary-expression before ‘)’ token
> plugins.cpp:106: error: expected primary-expression before ‘void’
> plugins.cpp:106: error: expected `;' before ‘lt_dlsym’
> plugins.cpp:111: error: expected primary-expression before ‘)’ token
> plugins.cpp:119: error: expected primary-expression before ‘)’ token
> plugins.cpp:153: error: expected primary-expression before ‘)’ token
> plugins.cpp: In member function ‘void Plugins::unload()’:
> plugins.cpp:176: error: ‘lt_dlhandle_struct’ was not declared in this scope
> plugins.cpp:176: error: expected primary-expression before ‘)’ token
> 

Same error here.  Patch doesn't apply either?  Had to manually patch distfile.
Comment 20 Mike Weissman 2008-06-13 14:28:10 UTC
i just received that error when i rebuilt it on libtool 2.2.4 and gcc-4.3.1 on x86 . Testing weather it has something to do with the configure file enabling plugins by default which goes against Automagic Dependency detection.  Will keep working on it.
Comment 21 Mike Weissman 2008-06-13 19:35:12 UTC
Hello,
  New Ebuild and Patches which seem to have fixed the problems, there might be extra patching, but i am still QA'ing that.  See incoming attachments.

Also:
1. the configure script still needs patching to fix the $(use_with) issues, thus the added use flags are compiled regardless if they are set or not.
2. Updated the plugins.cpp for gcc 4.3 because does not include c-headers automatically anymore
3. Also had to update libltdl
4. Needs runtime testing, which is still work in progress.
Comment 22 Mike Weissman 2008-06-13 19:38:40 UTC
Created attachment 156657 [details, diff]
new configure patch
Comment 23 Mike Weissman 2008-06-13 19:39:06 UTC
Created attachment 156659 [details, diff]
plugin patch
Comment 24 Mike Weissman 2008-06-13 19:39:23 UTC
Created attachment 156661 [details, diff]
gcc43 patch
Comment 25 Mike Weissman 2008-06-13 19:53:30 UTC
Created attachment 156663 [details]
new ebuild fixing a few problems

test case was:
x86, gcc-4.3.1, glibc-2.8_p20080602-r0

Perl and Python bindings, need work.
Comment 26 Mike Weissman 2008-06-13 20:34:25 UTC
Created attachment 156667 [details]
Updated Ebuild

fixed a few things, with perl and python bindings/examples.
Comment 27 ~S 2008-06-14 03:53:12 UTC
Sorry to bump the bug, but I am totally confused as to what to do with tunepimp emerge failure.
I am just doing emerge -e world
the netkit-rsh failed, and i am waiting for a patch
but this bug points to lot of patches which i can't see in portage
can anyone please point me to any howto's help url's on how to fix it?

I get the same error log as mentioned in the 1st post
here's the copy paste of error log


Configuration:
  Install path:          /usr
  FLAC plugin:           yes
  MP3 plugin:            yes
  MP4 plugin:            yes
  Musepack plugin:       yes
  Ogg Vorbis plugin:     yes
  Speex plugin:          yes
  The True Audio plugin: yes
  WMA plugin:            yes
  WavPack plugin:        yes

make  all-recursive
make[1]: Entering directory `/var/tmp/portage/media-libs/tunepimp-0.5.3-r1/work/libtunepimp-0.5.3'
Making all in libltdl
make[2]: Entering directory `/var/tmp/portage/media-libs/tunepimp-0.5.3-r1/work/libtunepimp-0.5.3/libltdl'
cd . && /bin/sh /var/tmp/portage/media-libs/tunepimp-0.5.3-r1/work/libtunepimp-0.5.3/libltdl/missing --run autoheader
configure.ac:69: warning: AC_CACHE_VAL(lt_prog_compiler_pic_works, ...): suspicious cache-id, must contain _cv_ to be cached
../../lib/autoconf/general.m4:1973: AC_CACHE_VAL is expanded from...
../../lib/autoconf/general.m4:1993: AC_CACHE_CHECK is expanded from...
acinclude.m4:615: AC_LIBTOOL_COMPILER_OPTION is expanded from...
acinclude.m4:4803: AC_LIBTOOL_PROG_COMPILER_PIC is expanded from...
acinclude.m4:2639: _LT_AC_LANG_C_CONFIG is expanded from...
acinclude.m4:2638: AC_LIBTOOL_LANG_C_CONFIG is expanded from...
acinclude.m4:80: AC_LIBTOOL_SETUP is expanded from...
acinclude.m4:60: _AC_PROG_LIBTOOL is expanded from...
acinclude.m4:25: AC_PROG_LIBTOOL is expanded from...
configure.ac:69: the top level
configure.ac:69: warning: AC_CACHE_VAL(lt_prog_compiler_static_works, ...): suspicious cache-id, must contain _cv_ to be cached
acinclude.m4:660: AC_LIBTOOL_LINKER_OPTION is expanded from...
configure.ac:69: warning: AC_CACHE_VAL(lt_prog_compiler_pic_works_CXX, ...): suspicious cache-id, must contain _cv_ to be cached
acinclude.m4:2720: _LT_AC_LANG_CXX_CONFIG is expanded from...
acinclude.m4:2719: AC_LIBTOOL_LANG_CXX_CONFIG is expanded from...
acinclude.m4:1775: _LT_AC_TAGCONFIG is expanded from...
configure.ac:69: warning: AC_CACHE_VAL(lt_prog_compiler_static_works_CXX, ...): suspicious cache-id, must contain _cv_ to be cached
configure.ac:69: warning: AC_CACHE_VAL(lt_prog_compiler_pic_works_F77, ...): suspicious cache-id, must contain _cv_ to be cached
acinclude.m4:3887: _LT_AC_LANG_F77_CONFIG is expanded from...
acinclude.m4:3886: AC_LIBTOOL_LANG_F77_CONFIG is expanded from...
configure.ac:69: warning: AC_CACHE_VAL(lt_prog_compiler_static_works_F77, ...): suspicious cache-id, must contain _cv_ to be cached
configure.ac:69: warning: AC_CACHE_VAL(lt_prog_compiler_pic_works_GCJ, ...): suspicious cache-id, must contain _cv_ to be cached
acinclude.m4:3989: _LT_AC_LANG_GCJ_CONFIG is expanded from...
acinclude.m4:3988: AC_LIBTOOL_LANG_GCJ_CONFIG is expanded from...
configure.ac:69: warning: AC_CACHE_VAL(lt_prog_compiler_static_works_GCJ, ...): suspicious cache-id, must contain _cv_ to be cached
rm -f stamp-h1
touch config-h.in
cd . && /bin/sh ./config.status config.h
config.status: creating config.h
config.status: config.h is unchanged
make  all-am
make[3]: Entering directory `/var/tmp/portage/media-libs/tunepimp-0.5.3-r1/work/libtunepimp-0.5.3/libltdl'
/bin/sh ./libtool --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I.     -march=nocona -O2 -pipe -c -o ltdl.lo ltdl.c
./libtool: line 463: CDPATH: command not found
./libtool: line 1155: func_opt_split: command not found
libtool: Version mismatch error.  This is libtool 2.2.4, but the
libtool: definition of this LT_INIT comes from an older release.
libtool: You should recreate aclocal.m4 with macros from libtool 2.2.4
libtool: and run autoconf again.
make[3]: *** [ltdl.lo] Error 63
make[3]: Leaving directory `/var/tmp/portage/media-libs/tunepimp-0.5.3-r1/work/libtunepimp-0.5.3/libltdl'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/var/tmp/portage/media-libs/tunepimp-0.5.3-r1/work/libtunepimp-0.5.3/libltdl'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/media-libs/tunepimp-0.5.3-r1/work/libtunepimp-0.5.3'
make: *** [all] Error 2
 * 
 * ERROR: media-libs/tunepimp-0.5.3-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2854:  Called die
 * The specific snippet of code:
 *       emake || die 'emake failed'
 *  The die message:
 *   emake failed
 * 
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/media-libs/tunepimp-0.5.3-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-libs/tunepimp-0.5.3-r1/temp/environment'.
 * 


here's my emerge --info
Portage 2.1.5.5 (default-linux/amd64/2007.0, gcc-4.3.1, glibc-2.8_p20080602-r0, 2.6.25-gentoo-r4 x86_64)
=================================================================
System uname: 2.6.25-gentoo-r4 x86_64 Intel(R) Core(TM)2 CPU 6420 @ 2.13GHz
Timestamp of tree: Fri, 13 Jun 2008 22:45:02 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.5.2-r4
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.62
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.25-r4
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=nocona -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccachei distlocks metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://10.200.15.2/os/gentoo/gentoo-os http://distfiles.gentoo.org http://www.ibiblio.org/pub/Linux/distributions/gentoo"
LC_ALL="en_US.utf-8"
LDFLAGS=""
LINGUAS="en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/verlihub"
SYNC="rsync://ftp.iitb.ac.in/gentoo/portage"
USE="X a52 aac aalib acl alsa amarok amd64 apache2 asf bash-completion berkdb bzip2 cairo cd cdr chroot cli cracklib crypt cups dbus dri dts dv dvd dvdr dvdread encode exif ffmpeg flac fortran ftp ggi gif glitz gphoto2 gpm gtk gtk2 hal iconv ieee1394 imagemagick imap imlib ipod isdnlog jabber java javascript jbig jpeg jpeg2k kde lm_sensors mad matroska matrox midi mime mmx mmxext mng mozilla mp2 mp3 mp4 mpeg mplayer mudflap musicbrainz mysql ncurses nls nptl nptlonly nsplugin ogg opengl openmp pam pcre pdf perl php plotutils png pppd python qt3 qt4 quicktime rar rdesktop readline reflection ruby session smp socks speex spell spl srt sse sse2 ssl svg tcpd tetex theora threads tiff truetype unicode usb utempter vcd videos vim-syntax vlm vorbis wavpack wmf wxwindows x264 xface xine xml xorg xpm xscreensaver xv xvid xvmc zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev mouse keyboard" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


PS: I use local portage mirror which lags by a day or two

Can I expect a patch fix in portage soon or do i have to do it myself? (I don't have a clue on how to apply patch)

Thanks

~S
Comment 28 Timo Gurr (RETIRED) gentoo-dev 2008-06-14 12:45:46 UTC
Fixed in CVS now (for tunepimp-0.5.3-r1), I only took the libtool/build fixed for now. Really really
huge thanks Mike! For your other suggested improvements I think we should do a
revbump, I'll probably have a look at this sometime next week, again thanks for
your hard work.